dpp::component_default_value
message.h
dpp::snowflake dpp::snowflake dpp::component_default_value::id id dpp::component_default_value::id

Default value. ID of a user, role, or channel.

component_default_value_type component_default_value_type dpp::component_default_value::type type dpp::component_default_value::type

The type this default value represents.

A Default value structure for components.

component_default_value_type
dpp::component_default_value
type
id
dpp::snowflake
value
uint64_t
- dpp::component_default_value
  id
- dpp::component_default_value
  type